/* Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file  ap_config_layout.h
 * @brief Apache Config Layout
 */

#ifndef AP_CONFIG_LAYOUT_H
#define AP_CONFIG_LAYOUT_H

/* Configured Apache directory layout */
#define DEFAULT_PREFIX "/data/data/com.termux/files/usr"
#define DEFAULT_EXP_EXEC_PREFIX "/data/data/com.termux/files/usr"
#define DEFAULT_REL_EXEC_PREFIX ""
#define DEFAULT_EXP_BINDIR "/data/data/com.termux/files/usr/bin"
#define DEFAULT_REL_BINDIR "bin"
#define DEFAULT_EXP_SBINDIR "/data/data/com.termux/files/usr/bin"
#define DEFAULT_REL_SBINDIR "bin"
#define DEFAULT_EXP_LIBEXECDIR "/data/data/com.termux/files/usr/libexec/apache2"
#define DEFAULT_REL_LIBEXECDIR "libexec/apache2"
#define DEFAULT_EXP_MANDIR "/data/data/com.termux/files/usr/share/man"
#define DEFAULT_REL_MANDIR "share/man"
#define DEFAULT_EXP_SYSCONFDIR "/data/data/com.termux/files/usr/etc/apache2"
#define DEFAULT_REL_SYSCONFDIR "etc/apache2"
#define DEFAULT_EXP_DATADIR "/data/data/com.termux/files/usr/share/apache2"
#define DEFAULT_REL_DATADIR "share/apache2"
#define DEFAULT_EXP_INSTALLBUILDDIR "/data/data/com.termux/files/usr/share/apache2/build"
#define DEFAULT_REL_INSTALLBUILDDIR "share/apache2/build"
#define DEFAULT_EXP_ERRORDIR "/data/data/com.termux/files/usr/share/apache2/error"
#define DEFAULT_REL_ERRORDIR "share/apache2/error"
#define DEFAULT_EXP_ICONSDIR "/data/data/com.termux/files/usr/share/apache2/icons"
#define DEFAULT_REL_ICONSDIR "share/apache2/icons"
#define DEFAULT_EXP_HTDOCSDIR "/data/data/com.termux/files/usr/share/apache2/default-site/htdocs"
#define DEFAULT_REL_HTDOCSDIR "share/apache2/default-site/htdocs"
#define DEFAULT_EXP_MANUALDIR "/data/data/com.termux/files/usr/share/apache2/default-site/htdocs/manual"
#define DEFAULT_REL_MANUALDIR "share/apache2/default-site/htdocs/manual"
#define DEFAULT_EXP_CGIDIR "/data/data/com.termux/files/usr/lib/cgi-bin"
#define DEFAULT_REL_CGIDIR "lib/cgi-bin"
#define DEFAULT_EXP_INCLUDEDIR "/data/data/com.termux/files/usr/include/apache2"
#define DEFAULT_REL_INCLUDEDIR "include/apache2"
#define DEFAULT_EXP_LOCALSTATEDIR "/data/data/com.termux/files/usr/var/lock/apache2"
#define DEFAULT_REL_LOCALSTATEDIR "var/lock/apache2"
#define DEFAULT_EXP_RUNTIMEDIR "/data/data/com.termux/files/usr/var/run/apache2"
#define DEFAULT_REL_RUNTIMEDIR "var/run/apache2"
#define DEFAULT_EXP_LOGFILEDIR "/data/data/com.termux/files/usr/var/log/apache2"
#define DEFAULT_REL_LOGFILEDIR "var/log/apache2"
#define DEFAULT_EXP_PROXYCACHEDIR "/data/data/com.termux/files/usr/var/cache/apache2/proxy"
#define DEFAULT_REL_PROXYCACHEDIR "var/cache/apache2/proxy"

#endif /* AP_CONFIG_LAYOUT_H */
